<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AncillaryInfoRS StructType
 * @package Dg
 * @subpackage Structs
 */
class DgAncillaryInfoRS extends AbstractStructBase
{
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgSuccessType
     */
    public $Success;
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgErrorsType
     */
    public $Errors;
    /**
     * The AncillaryCatalogueItems
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgAncillaryCatalogueItemsType
     */
    public $AncillaryCatalogueItems;
    /**
     * The Warnings
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgWarningsType
     */
    public $Warnings;
    /**
     * Constructor method for AncillaryInfoRS
     * @uses DgAncillaryInfoRS::setSuccess()
     * @uses DgAncillaryInfoRS::setErrors()
     * @uses DgAncillaryInfoRS::setAncillaryCatalogueItems()
     * @uses DgAncillaryInfoRS::setWarnings()
     * @param \dgsoft\StructType\DgSuccessType $success
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @param \dgsoft\StructType\DgAncillaryCatalogueItemsType $ancillaryCatalogueItems
     * @param \dgsoft\StructType\DgWarningsType $warnings
     */
    public function __construct(\dgsoft\StructType\DgSuccessType $success = null, \dgsoft\StructType\DgErrorsType $errors = null, \dgsoft\StructType\DgAncillaryCatalogueItemsType $ancillaryCatalogueItems = null, \dgsoft\StructType\DgWarningsType $warnings = null)
    {
        $this
            ->setSuccess($success)
            ->setErrors($errors)
            ->setAncillaryCatalogueItems($ancillaryCatalogueItems)
            ->setWarnings($warnings);
    }
    /**
     * Get Success value
     * @return \dgsoft\StructType\DgSuccessType|null
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param \dgsoft\StructType\DgSuccessType $success
     * @return \dgsoft\StructType\DgAncillaryInfoRS
     */
    public function setSuccess(\dgsoft\StructType\DgSuccessType $success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Get Errors value
     * @return \dgsoft\StructType\DgErrorsType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @return \dgsoft\StructType\DgAncillaryInfoRS
     */
    public function setErrors(\dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get AncillaryCatalogueItems value
     * @return \dgsoft\StructType\DgAncillaryCatalogueItemsType|null
     */
    public function getAncillaryCatalogueItems()
    {
        return $this->AncillaryCatalogueItems;
    }
    /**
     * Set AncillaryCatalogueItems value
     * @param \dgsoft\StructType\DgAncillaryCatalogueItemsType $ancillaryCatalogueItems
     * @return \dgsoft\StructType\DgAncillaryInfoRS
     */
    public function setAncillaryCatalogueItems(\dgsoft\StructType\DgAncillaryCatalogueItemsType $ancillaryCatalogueItems = null)
    {
        $this->AncillaryCatalogueItems = $ancillaryCatalogueItems;
        return $this;
    }
    /**
     * Get Warnings value
     * @return \dgsoft\StructType\DgWarningsType|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @return \dgsoft\StructType\DgAncillaryInfoRS
     */
    public function setWarnings(\dgsoft\StructType\DgWarningsType $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgAncillaryInfoRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
